%% Preprocessing 1Ds

% 
spectra = loadallft;


%% class membership 
%Fly 
Y(1:20)=0;
Y(21:40)=1;

%% make 2D matrix of 1D spectra
[H,ppmH,Titles]=Setup1D(spectraH);
figure, plot(ppmH,H)
set(gca,'XDir','reverse')

HAL=star_align1D(H,ppmH,'median','PAFFT',0.08,.5);
figure, plot(ppmH,HAL)
set(gca,'XDir','reverse')
title('star alignment')



%% make 2D matrix of 1D spectra
[X,ppm,Titles]=Setup1D(spectraC);
figure, plot(ppm,X);
h(1)=gca;
set(gca,'XDir','reverse')
title('Not Normalized')

XAL=star_align1D(X,ppm,'mean','PAFFT',0.08,.5);
figure, plot(ppm,XAL)
set(gca,'XDir','reverse')
title('star alignment')

[S,P] = STOCSY2D(HAL, XAL, ppmH, ppmX);

%% Proton

HALN=normalize(S.Hpp,'intensity', S.ppmHpp,0);
HALN(HALN==0 | isnan(HALN) | isinf(HALN))=0.001;

 
HALSN=scale(HALN,'range'); 
HALSN(HALSN==0 | isnan(HALSN) | isinf(HALSN))=0.001;


%PCA analysis of peaks
PCA_Hpp=nipalsPCA(HALSN,5);

%PLS-DA of peaks
PLS_Hpp=plsPV(HALN,Y,4,'da',10,'range');

%% Carbon

XALN=normalize(S.Xpp,'PQN');
XALN(XALN==0 | isnan(XALN) | isinf(XALN))=0.001;

XALSN=scale(XALN,'range'); 
XALSN(XALSN==0 | isnan(XALSN) | isinf(XALSN))=0.001;

%PCA analysis of peaks
PCA_Xpp=nipalsPCA(XALSN,5);

%PLS da of peaks
PLS_Xpp=plsPV(XALN,Y,4,'da',10,'range');

